﻿using System.Data;
using System.Windows.Forms;

namespace TdbgHiddenCols
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1TrueDBGrid1.DataSource = GetDataTable();

            //Hide the DisplayColumn and disable the sizing of the DisplayColumn
            c1TrueDBGrid1.Splits[0].DisplayColumns["Check"].Visible = false;
            c1TrueDBGrid1.Splits[0].DisplayColumns["Check"].AllowSizing = false;
        }

        /// <summary>
        /// Sample Data for the Grid
        /// </summary>
        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable("Employees");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Department", typeof(string));
            dt.Columns.Add("Gender", typeof(string));
            dt.Columns.Add("Salary", typeof(decimal));
            dt.Columns.Add("Check", typeof(bool));

            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000, 0);
            dt.Rows.Add(2, "George", "ACC", "M", 4000, 0);
            dt.Rows.Add(3, "Frank", "IT", "M", 4500, 0);
            dt.Rows.Add(4, "Linda", "IT", "F", 4000, 0);
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000, 0);
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000, 0);

            return dt;
        }
    }
}
